## org.eclipse.datatools.modelbase.sql.query
Interface MergeSourceTable

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface MergeSourceTable

extends SQLQueryObject

A representation of the model object 'Merge Source Table'. SQL syntax:

The source table reference can be a table name, a query (SELECT expression), a joined table, a table function...

The following features are supported:

- `Query Merge Statement`
- `Merge Statement`
- `Table Ref`

See Also:
  `SQLQueryModelPackage.getMergeSourceTable()`

Method Summary
`QueryMergeStatement` `getMergeStatement()` Returns the value of the 'Merge Statement' container reference.
`org.eclipse.emf.common.util.EList` `getQueryMergeStatement()` Returns the value of the 'Query Merge Statement' reference list.
`TableReference` `getTableRef()` Returns the value of the 'Table Ref' containment reference.
`void` `setMergeStatement(QueryMergeStatement value)` Sets the value of the '`Merge Statement`' container reference.
`void` `setTableRef(TableReference value)` Sets the value of the '`Table Ref`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQueryMergeStatement

    org.eclipse.emf.common.util.EList getQueryMergeStatement()

  Returns the value of the 'Query Merge Statement' reference list. The list contents are of type `QueryMergeStatement`.

  If the meaning of the 'Query Merge Statement' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Merge Statement' reference list.
  See Also:
    `SQLQueryModelPackage.getMergeSourceTable_QueryMergeStatement()`

### getMergeStatement

    QueryMergeStatement getMergeStatement()

  Returns the value of the 'Merge Statement' container reference. It is bidirectional and its opposite is '`Source Table`'.

  If the meaning of the 'Merge Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Merge Statement' container reference.
  See Also:
    `setMergeStatement(QueryMergeStatement)`, `SQLQueryModelPackage.getMergeSourceTable_MergeStatement()`, `QueryMergeStatement.getSourceTable()`

### setMergeStatement

    void setMergeStatement(QueryMergeStatement value)

  Sets the value of the '`Merge Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Merge Statement' container reference.
  See Also:
    `getMergeStatement()`

### getTableRef

    TableReference getTableRef()

  Returns the value of the 'Table Ref' containment reference. It is bidirectional and its opposite is '`Merge Source Table`'.

  If the meaning of the 'Table Ref' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Ref' containment reference.
  See Also:
    `setTableRef(TableReference)`, `SQLQueryModelPackage.getMergeSourceTable_TableRef()`, `TableReference.getMergeSourceTable()`

### setTableRef

    void setTableRef(TableReference value)

  Sets the value of the '`Table Ref`' containment reference.

  Parameters:
    `value` - the new value of the 'Table Ref' containment reference.
  See Also:
    `getTableRef()`